Resource Center/Hardware/Primary Storage Operations
GETPrimary Storage OperationsSince 0.6SynchronousAuth Required
GetPrimaryStorageCapacity
GetPrimaryStorageCapacity
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Query Parameters
Request Inputs
Query Parameters
zoneUuidsListOptional. The zone UUID list.
clusterUuidsListOptional. The cluster UUID list.
primaryStorageUuidsListOptional. The primary storage UUID list.
allbooleanOptional. When the primary storage UUID list is null, the field is true, which means that all primary storages in the system will be queried.
systemTagsListOptional. The system tags.
Responses
Endpoint
GET/zstack/v1/primary-storage/capacities
/zstack/v1/primary-storage/capacities
Request Example
curl -X GET 'http://{host}/zstack/v1/primary-storage/capacities?zoneUuids=<zoneUuids>&clusterUuids=<clusterUuids>&primaryStorageUuids=<primaryStorageUuids>&all=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "totalCapacity": 1.073741824E9, "availableCapacity": 9.73078528E8, "totalPhysicalCapacity": 1.073741824E9, "availablePhysicalCapacity": 9.73078528E8 }Change History
This API has no change history records yet.
